Bug 13646 - Facets encoding problem with GRS1
Summary: Facets encoding problem with GRS1
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 11944
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-30 15:24 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13646: Fix facets encoding problem for GSR1 (1.19 KB, patch)
2015-01-30 15:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13646: Fix facets encoding problem for GSR1 (1.26 KB, patch)
2015-02-12 16:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-01-30 15:24:33 UTC
Since bug 11944, the facets are not correctly encoded if the indexing mode is GRS1.
Comment 1 Jonathan Druart 2015-01-30 15:31:59 UTC Comment hidden (obsolete)
Comment 2 David Cook 2015-02-02 06:58:46 UTC
I thought that we'd officially deprecated GRS1 and that it was scheduled for removal?
Comment 3 Jonathan Druart 2015-02-02 09:42:46 UTC
Hello David,

I found this bug because we have backported bug 11944 on 3.18.x for a customer.
I thought this patch would be useful to someone else, that why I submitted it here.

I don't mind if it is not pushed to master, but since it's a fix for bug 11944, it could be helpful to have it, for the record.
Comment 4 Fridolin Somers 2015-02-12 08:19:12 UTC
What is the purpose of the line :
   $mr;
?
Comment 5 Jonathan Druart 2015-02-12 09:32:56 UTC
To assign $mr to $marc_record.
Comment 6 Tomás Cohen Arazi 2015-02-12 16:52:21 UTC
Created attachment 35880 [details] [review]
[SIGNED OFF] Bug 13646: Fix facets encoding problem for GSR1

Since bug 11944, the facets are not correctly encoded if the indexing
mode is GRS1.

In MARC::File::USMARC
  # if utf8 the we encode the string as utf8
  if ( $marc->encoding() eq 'UTF-8' ) {
      $tagdata = marc_to_utf8( $tagdata );
  }
$marc->encoding return 'MARC8' because the utf8 flag is not set on the marc record.

Test plan:
On an installation set with GRS1, launch a search and verify you have
facets correctly encoded.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 7 Mirko Tietgen 2015-02-13 19:59:33 UTC
Any reason why this is still listed as »needs signoff«?

Tomas: did you just forget to change the status?
Comment 8 Tomás Cohen Arazi 2015-02-13 21:19:34 UTC
(In reply to Mirko Tietgen from comment #7)
> Any reason why this is still listed as »needs signoff«?
> 
> Tomas: did you just forget to change the status?

I did, I'm sorry.
Comment 9 Katrin Fischer 2015-03-02 15:30:56 UTC
Testing this with Jonathan we located another problem with how the links are build - switching this to "Failed QA" waiting for a follow up or new patch.
Comment 10 Katrin Fischer 2015-03-15 20:14:45 UTC
Jonathan, is this still needed with the other patches to fix the encoding problems?
Comment 11 Jonathan Druart 2016-04-18 14:41:50 UTC
No idea, but GRS1 is now deprecated.